#pragma once
#include "GrayscaleImage.h"
#include "HelperMethods.h"
#include "MSER/mser.h"
//#include "MSER/mser_creation.h"
#include "CMSER.h"

using namespace std;


typedef std::vector<CMSER *> CMSERList;

class CMSERWrapper
{
private:
	//MSER_creation *_desc;
	MSER_description *_desc;
	int _scale;
	CGrayscaleImage &_img;
	CMSERList *GenerateMSERList(listMSER *l);
public:
	CMSERWrapper(CGrayscaleImage &img, int scale);
	CMSERList *GetList();
	~CMSERWrapper(void);
};

