/**
 * @file	C:\Users\Tato\Documents\GitHub\IPOL_MSER\MSERSIFT\src\ShapeDescriptor.cpp
 *
 * @brief	Implements the shape descriptor class.
 */

#include "ShapeDescriptor.h"
#include "GaussianBlur.h"
#include "Params.h"
#include "AffineNormalizer.h"
#include "PATCHSIFT/sift_on_patch.h"

/**
 * @fn	CShapeDescriptor::CShapeDescriptor(CMSER &mser, CGrayscaleImage &img)
 *
 * @brief	Constructor.
 *
 * @author	Tato
 * @date	22/02/2014
 *
 * @param [in,out]	mser	The mser.
 * @param [in,out]	img 	The image.
 */

CShapeDescriptor::CShapeDescriptor()
{
	_binaryMaskImage = NULL;
/*	_affineInvariantShape = new CGrayscaleImage(CParams::Instance()->Ns, CParams::Instance()->Ns);
	// Get Binary Mask Image
	CGrayscaleImage *input = mser.GetBinaryMaskImage();

	// Perform normalization
	CAffineNormalizer an;
	an.Normalize(mser, *input, *input, *_affineInvariantShape, &_rotMatrix, _translation);

	CGaussianBlur gb;
	int sz = (int) ceil(6*CParams::Instance()->sigmap);
	// Apply blur
	if (sz > 1)
		gb.ApplyOptimizedGaussianBlur(*_affineInvariantShape, _affineInvariantShape, sz, CParams::Instance()->sigmap);


	delete input;*/
}
/*
CGrayscaleImage *CShapeDescriptor::GetInput()
{
	return _mser.GetBinaryMaskImage();
}

CGrayscaleImage *CShapeDescriptor::GetNormalizationInput()
{
	return _mser.GetBinaryMaskImage();
}
*/

/**
 * @fn	void CShapeDescriptor::CalculateSIFTDescriptor(vector<double*> &descs)
 *
 * @brief	Calculates the sift descriptor.
 *
 * @author	Tato
 * @date	22/02/2014
 *
 * @param [in,out]	descs	[in,out] If non-null, the descs.
 */

/*
void CShapeDescriptor::CalculateSIFTDescriptor(vector<double*> &descs)
{
	CalculateDescriptorsOnPatch(descs, _affineInvariantShape->GetDoubleImage(), _affineInvariantShape->Width(), _affineInvariantShape->Height(), CParams::Instance()->sigmah, CParams::Instance()->sigmad, CParams::Instance()->virtualPatchSize, CParams::Instance()->Nb);
}*/

/**
 * @fn	CShapeDescriptor::~CShapeDescriptor(void)
 *
 * @brief	Destructor.
 *
 * @author	Tato
 * @date	22/02/2014
 */

CShapeDescriptor::~CShapeDescriptor(void)
{
//	delete _affineInvariantShape;
//	delete _rotMatrix;
}
