#pragma once
#include "Descriptor.h"
#include "MSERWrapper.h"
#include "GrayscaleImage.h"

/**
 * @class	CTextureDescriptor
 *
 * @brief	A texture descriptor.
 *
 * @author	Tato
 * @date	23/02/2014
 */

class CTextureDescriptor : public CDescriptor
{
private:

	CGrayscaleImage *GetInput()
	{
		return _mser->GetTextureImageBasedOnMask();
	}


	CGrayscaleImage *GetNormalizationInput()
	{
		return _mser->GetImage();
	}
/*private:
	CMSER &_mser;
	CGrayscaleImage &_img;
	CGrayscaleImage *_affineInvariantTexture;
	CGrayscaleImage *_rotMatrix;
	std::pair<double, double> _translation;*/
public:
	//void CalculateSIFTDescriptor(vector<double*> &descs);
	CTextureDescriptor();
	//CGrayscaleImage *GetTexture() { return _affineInvariantTexture; }
	~CTextureDescriptor(void);

};

