#include "HelperMethods.h"

// Simply computes the euclidean distance between two pixels
double distanceBetweenPixels(const CDPixel &p1, const CDPixel &p2)
{
	// Euclidean distance
	float dif1 = (float) (p1.first - p2.first);
	dif1 *= dif1;
	float dif2 = (float) (p1.second - p2.second);
	dif2 *= dif2;
	return sqrt(dif1 + dif2);
}
