#include "mser.h"

// Add a node to a list of node
list_node* list_node::add_node(node* a)
{
	list_node* b=new list_node(a);
	b->next_node=this;
	return b;
}

list_node::~list_node()
{
	if (next_node != NULL)
	{
		delete next_node;
		next_node = NULL;
	}
	// Nodes are deleted separately since the current node may be part of another MSER (and thus, cannot be deleted twice)
	//if (current_node != NULL)
	//{
	//	delete current_node;
	//	current_node = NULL;
	//}
}

// Add the i-th node
list_node* list_node::add_node(int i, vector<node*> &nodes)
{
	node* a=new node(i);
	nodes.push_back(a);
	list_node* b=new list_node(a);
	b->next_node=this;
	return b;
}

// Constructor
list_node::list_node(node* a)
{
	current_node=a;
	next_node=NULL;
}
// Constructor
list_node::list_node(int i, vector<node*> &nodes)
{
	current_node=new node(i);
	nodes.push_back(current_node);
	next_node=NULL;
}

