#pragma once
#include "GrayscaleImage.h"
#include "MSERWrapper.h"
#include "Descriptor.h"

/**
 * @class	CShapeDescriptor
 *
 * @brief	A shape descriptor.
 *
 * @author	Tato
 * @date	23/02/2014
 */

class CShapeDescriptor : public CDescriptor
{
private:
/*	CMSER &_mser;
	CGrayscaleImage &_img;
	CGrayscaleImage *_affineInvariantShape;
	CGrayscaleImage *_rotMatrix;
	std::pair<double, double> _translation;*/
	CGrayscaleImage *_binaryMaskImage;

	CGrayscaleImage *GetInput() 
	{
		if (_binaryMaskImage == NULL)
			_binaryMaskImage = _mser->GetBinaryMaskImage();
		return _binaryMaskImage;
	}

	CGrayscaleImage *GetNormalizationInput() { 
		if (_binaryMaskImage == NULL)
			_binaryMaskImage = _mser->GetBinaryMaskImage();
		return _binaryMaskImage;
	}
public:
	//void CalculateSIFTDescriptor(vector<double*> &descs);
	CShapeDescriptor();
	//CGrayscaleImage *GetShape() { return _affineInvariantShape; }
	~CShapeDescriptor(void);
};

