#pragma once
#include <vector>

/**
 * @class	CShapeImageGenerator
 *
 * @brief	A shape image generator.
 *
 * @author	Tato
 * @date	23/02/2014
 */

class CShapeImageGenerator
{
private:
	std::vector<float *> *_images;
	bool _freeShapes;
public:
	CShapeImageGenerator(int sz, bool freeShapes);
	void addShape(float *img, int i);
	inline float *getShape(int i) { return _images->at(i); }
	void GenerateImage(const char *filename);
	~CShapeImageGenerator(void);
};

