/**
 * @file	C:\Users\Tato\Documents\GitHub\IPOL_MSER\MSERSIFT\src\TextureDescriptor.cpp
 *
 * @brief	Implements the texture descriptor class.
 */

#include "TextureDescriptor.h"
#include "Params.h"
#include "AffineNormalizer.h"
#include "GaussianBlur.h"
#include "PATCHSIFT/sift_on_patch.h"


/**
 * @fn	CTextureDescriptor::CTextureDescriptor(CMSER &mser, CGrayscaleImage &img)
 *
 * @brief	Constructor.
 *
 * @author	Tato
 * @date	22/02/2014
 *
 * @param [in,out]	mser	The mser.
 * @param [in,out]	img 	The image.
 */

CTextureDescriptor::CTextureDescriptor()
{
/*
	_affineInvariantTexture = new CGrayscaleImage(CParams::Instance()->Ns, CParams::Instance()->Ns);
	// Get Binary Mask Image
	CGrayscaleImage *input = mser.GetTextureImageBasedOnMask();

	// Perform normalization
	CAffineNormalizer an;
	an.Normalize(mser, *input, *mser.GetImage(), *_affineInvariantTexture, &_rotMatrix, _translation);
	
	CGaussianBlur gb;
	int sz = (int) ceil(6*CParams::Instance()->sigmap);
	// Apply blur
	if (sz > 1)
		gb.ApplyOptimizedGaussianBlur(*_affineInvariantTexture, _affineInvariantTexture, sz, CParams::Instance()->sigmap);

	delete input;
	*/
}

/**
 * @fn	CTextureDescriptor::~CTextureDescriptor(void)
 *
 * @brief	Destructor.
 *
 * @author	Tato
 * @date	22/02/2014
 */

CTextureDescriptor::~CTextureDescriptor(void)
{
/*	delete _affineInvariantTexture;
	delete _rotMatrix;*/
}

/**
 * @fn	void CTextureDescriptor::CalculateSIFTDescriptor(vector<double*> &descs)
 *
 * @brief	Calculates the sift descriptor.
 *
 * @author	Tato
 * @date	22/02/2014
 *
 * @param [in,out]	descs	[in,out] If non-null, the descs.
 */

/*void CTextureDescriptor::CalculateSIFTDescriptor(vector<double*> &descs)
{
	// Calculate SIFT descriptor
	CalculateDescriptorsOnPatch(descs, _affineInvariantTexture->GetDoubleImage(), _affineInvariantTexture->Width(), _affineInvariantTexture->Height(), CParams::Instance()->sigmah, CParams::Instance()->sigmad, CParams::Instance()->virtualPatchSize, CParams::Instance()->Nb);
}*/
