#pragma once
#include <vector>

/**
 * @class	CTextureImageGenerator
 *
 * @brief	A texture image generator.
 *
 * @author	Tato
 * @date	23/02/2014
 */

class CTextureImageGenerator
{
private:
	std::vector<unsigned char *> *_images;
	bool _freeShapes;
public:
	CTextureImageGenerator(int sz, bool freeShapes);
	void addTexture(unsigned char *img, int i);
	inline unsigned char *getTexture(int i) { return _images->at(i); }
	void GenerateImage(const char *filename);
	~CTextureImageGenerator(void);

};

